This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 439202 - (TB4985ac49) TB4985ac49 NCDialup.py:158:save:KeyError: 'Mtu'
TB4985ac49 NCDialup.py:158:save:KeyError: 'Mtu'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 11:11 EDT by Mohd Izhar Firdaus Ismail
Modified: 2008-03-31 06:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-29 11:45:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A quick hack (828 bytes, patch)
2008-03-27 11:11 EDT, Mohd Izhar Firdaus Ismail
no flags Details | Diff

  None (edit)
Description Mohd Izhar Firdaus Ismail 2008-03-27 11:11:03 EDT
Description of problem:
S-C-Network fails to save new modem connections, "KeyError: 'Mtu'"

Version-Release number of selected component (if applicable):
system-config-network-1.5.1-1.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
1.Launch S-C-Network
2.Create a new modem connection
3.Click File > Save
  
Actual results:
Component: system-config-network
Version: 1.5.1
Summary: TB4985ac49 NCDialup.py:158:save:KeyError: 'Mtu'

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
831, in on_applyButton_clicked
    self.save()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
393, in save
    self.saveDevices()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
413, in saveDevices
    devicelist.save()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 228,
in save
    dev.save()
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 377, in save
    self.Dialup.save( conf )
  File "/usr/share/system-config-network/netconfpkg/NCDialup.py", line 585, in save
    Dialup.save(self, parentConf)
  File "/usr/share/system-config-network/netconfpkg/NCDialup.py", line 158, in save
    if self.__dict__[selfkey]:
KeyError: 'Mtu'

Local variables in innermost frame:
confkey: MTU
parentConf: <netconfpkg.NCDevice.ConfDevice instance at 0x90f75ac>
self: Dialup.StupidMode=True
Dialup.InitString=
Dialup.ProviderName=maxis3G
Dialup.DefRoute=True
Dialup.Authentication=+pap -chap
Dialup.Password=***
Dialup.PhoneNumber=*99#
Dialup.Login=maxis
Dialup.DialMode=manual
Dialup.Inherits=Modem0
Dialup.Areacode=
Dialup.Prefix=

selfkey: Mtu
conf: <netconfpkg.NCDevice.ConfDevice instance at 0x90f75ac>

Expected results:
Save successful

Additional info:

 - Attached a quick hack to ignore missing keys
Comment 1 Mohd Izhar Firdaus Ismail 2008-03-27 11:11:03 EDT
Created attachment 299341 [details]
A quick hack
Comment 2 Mohd Izhar Firdaus Ismail 2008-03-27 11:13:58 EDT
oops wrong component
Comment 3 Radek Brich 2008-03-27 11:22:57 EDT
reassigning to component owner
Comment 4 Harald Hoyer 2008-03-29 11:45:22 EDT
system-config-network-1.5.2-1

Note You need to log in before you can comment on or make changes to this bug.